Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `cloup.typing`

## Attributes

`MISSING` | Singleton that works as a sentinel for a missing value.
`Possibly` | Possibly[T] is like Optional[T] but uses MISSING for missing values.
`AnyCallable` |
`F` | Type variable for a Callable.
`Decorator` | Type alias for a simple function decorator.

## Contents

cloup.typing.MISSING

  Singleton that works as a sentinel for a missing value. Useful when None can’t be used to play the role because it represents a valid non-null value.

cloup.typing.Possibly

  Possibly[T] is like Optional[T] but uses MISSING for missing values.

cloup.typing.AnyCallable

cloup.typing.F

  Type variable for a Callable.

cloup.typing.Decorator

  Type alias for a simple function decorator.